Mail archive
alpine-aports

[alpine-aports] [PATCH] unmaintained/pptpclient: upgrade to 1.9.0, move from unmaintained

From: Mikhail Ivko <ivko.mv_at_gmail.com>
Date: Thu, 2 Mar 2017 22:24:58 +0700

---
 testing/pptpclient/APKBUILD                     | 34 +++++++++++++++++++++++++
 testing/pptpclient/pptpclient-musl.patch        | 12 +++++++++
 unmaintained/pptpclient/APKBUILD                | 32 -----------------------
 unmaintained/pptpclient/pptpclient-uclibc.patch | 21 ---------------
 4 files changed, 46 insertions(+), 53 deletions(-)
 create mode 100644 testing/pptpclient/APKBUILD
 create mode 100644 testing/pptpclient/pptpclient-musl.patch
 delete mode 100644 unmaintained/pptpclient/APKBUILD
 delete mode 100644 unmaintained/pptpclient/pptpclient-uclibc.patch
diff --git a/testing/pptpclient/APKBUILD b/testing/pptpclient/APKBUILD
new file mode 100644
index 0000000000..c5ca7cfb0c
--- /dev/null
+++ b/testing/pptpclient/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Mikhail Ivko <ivko.mv_at_gmail.com>
+# Maintainer:
+pkgname=pptpclient
+pkgver=1.9.0
+pkgrel=1
+pkgdesc="Client for the proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP."
+url="http://pptpclient.sourceforge.net/"
+arch="all"
+license="GPL"
+depends="ppp-daemon iproute2"
+makedepends="perl-dev"
+subpackages="$pkgname-doc"
+options="!check"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/pptp-$pkgver.tar.gz
+	pptpclient-musl.patch"
+
+prepare() {
+	cd "$srcdir"/pptp-$pkgver
+	patch -p1 -i "$srcdir"/pptpclient-musl.patch || return 1
+	sed -i '/CFLAGS/d' Makefile
+	sed -i 's|\/bin\/ip|\/usr\/sbin\/ip|g' Makefile
+}
+
+build() {
+	cd "$srcdir"/pptp-$pkgver
+	make || return 1
+}
+
+package() {
+	cd "$srcdir"/pptp-$pkgver
+	make DESTDIR="$pkgdir" install
+}
+sha512sums="2eefa1cdb45f4fbd2b83fff4d199f2d3868add2577d561061ac692f8bc248d648272f04e5f37158c6c67e4a3c44183eaca4aec4c84745f9a4e4123c35687f814  pptp-1.9.0.tar.gz
+22ee1490fe88e1a993edb9379fefa0ce195ab52f18a064e40d88bb536330c777ace773314989b20044d358c1edfc59085bcea5e953c1f9171d6d95dac614638b  pptpclient-musl.patch"
diff --git a/testing/pptpclient/pptpclient-musl.patch b/testing/pptpclient/pptpclient-musl.patch
new file mode 100644
index 0000000000..ff67d328cc
--- /dev/null
+++ b/testing/pptpclient/pptpclient-musl.patch
_at_@ -0,0 +1,12 @@
+diff --git a/pqueue.h b/pqueue.h
+index c37ba7b..ae4cc6a 100644
+--- a/pqueue.h
++++ b/pqueue.h
+_at_@ -3,6 +3,7 @@
+ 
+ #include <time.h>
+ #include <sys/time.h>
++#include <sys/types.h>
+ 
+ /* wait this many seconds for missing packets before forgetting about them */
+ #define DEFAULT_PACKET_TIMEOUT 0.3
diff --git a/unmaintained/pptpclient/APKBUILD b/unmaintained/pptpclient/APKBUILD
deleted file mode 100644
index 757fff26b8..0000000000
--- a/unmaintained/pptpclient/APKBUILD
+++ /dev/null
_at_@ -1,32 +0,0 @@
-# Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
-pkgname=pptpclient
-pkgver=1.7.2
-pkgrel=1
-pkgdesc="Client for the proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP."
-url="http://pptpclient.sourceforge.net/"
-arch="all"
-license="GPL"
-depends="ppp iproute2"
-makedepends="perl"
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/sourceforge/$pkgname/pptp-$pkgver.tar.gz
-	pptpclient-uclibc.patch"
-
-prepare() {
-	cd "$srcdir"/pptp-$pkgver
-	patch -p1 -i "$srcdir"/pptpclient-uclibc.patch || return 1
-	sed -i '/CFLAGS/d' Makefile
-	sed -i 's|\/bin\/ip|\/usr\/sbin\/ip|g' routing.c
-}
-
-build() {
-	cd "$srcdir"/pptp-$pkgver
-	make || return 1
-}
-
-package() {
-	cd "$srcdir"/pptp-$pkgver
-	make DESTDIR="$pkgdir" install
-}
-md5sums="4c3d19286a37459a632c7128c92a9857  pptp-1.7.2.tar.gz
-34b643e4e4224e723f6a768018b46015  pptpclient-uclibc.patch"
diff --git a/unmaintained/pptpclient/pptpclient-uclibc.patch b/unmaintained/pptpclient/pptpclient-uclibc.patch
deleted file mode 100644
index aa9536e4df..0000000000
--- a/unmaintained/pptpclient/pptpclient-uclibc.patch
+++ /dev/null
_at_@ -1,21 +0,0 @@
-diff --git a/pptp_compat.c b/pptp_compat.c
-index 1760a3b..6ebbea4 100644
---- a/pptp_compat.c
-+++ b/pptp_compat.c
-_at_@ -2,6 +2,7 @@
-  *
-  */
- 
-+#if defined (__SVR4) && defined (__sun) /* Solaris */
- #include <sys/types.h>
- #include <sys/stat.h>
- #include <fcntl.h>
-_at_@ -14,8 +15,6 @@
- #include <stdio.h>
- #include "util.h"
- 
--
--#if defined (__SVR4) && defined (__sun) /* Solaris */
- /*
-  * daemon implementation from uClibc
-  */
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 02 2017 - 22:24:58 GMT